Description

In my Ruby C extension I use rb_barrier_wait(MY_BARRIER) in a method. It works perfectly but I've realized of a case in which it

gets

blocked:

Thread.new do

MyExten.my_method

end

In this case the C function rb_barrier_wait(MY_BARRIER) gets blocked (note that I don't call if from other place). So this seems a

conflict

of the new Thread and rb_barrier_wait(), it seems that they both try to access to the same shared resource. Is it the expected

behavior?

History

#1 - 07/05/2012 12:47 PM - kosaki (Motohiro KOSAKI)

Please don't use rb_barrier_wait(). It doesn't have barrier semantics. Moreover, It is not a public API. We might remove it in future release.

#2 - 07/06/2012 05:53 PM - ibc (Iñaki Baz Castillo)

Thanks for the clarification.

#3 - 07/14/2012 06:17 PM - kosaki (Motohiro KOSAKI)

- Status changed from Open to Closed

Powered by TCPDF (www.tcpdf.org)

06/16/2025 1/1

http://www.tcpdf.org

